function selectitemLIB(hObject, eventdata, emptybutton, Button, Axes, t, Info)

data = get(emptybutton,'UserData');
col = [ 0  0  1;
        0 .5  0;
        1  0  0;
       .5  0 .5;
        0 .5 .5;
       .5 .5  0;
        0  0  0];

ind = eventdata.Indices;

if ispc
    fsz = 12;
else
    fsz = 20;
end

if ~isempty(ind)
    data.selectednr = ind(1);
    dat = get(t,'Data');
    if ind(2) > 1
        if strcmp(dat(ind(1),6), 'normalized') == 1
            plot(Axes, data.lib(ind(1)).x, data.lib(ind(1)).a/max(abs(data.lib(ind(1)).a)),'Linewidth',2);
        else
            plot(Axes, data.lib(ind(1)).x, data.lib(ind(1)).a,'Linewidth',2);
        end
        hold(Axes,'on');
        nr = 2;
        for i=setdiff(1:length(data.lib),ind(1))
            if dat{i,1} == true
                if strcmp(dat(i,6), 'normalized') == 1
                    plot(Axes, data.lib(i).x, data.lib(i).a/max(abs(data.lib(i).a)),'color',col(nr,:),'Linewidth',2);
                else
                    plot(Axes, data.lib(i).x, data.lib(i).a,'color',col(nr,:),'Linewidth',2);
                end
                nr = min(nr+1,7);
            end
        end
        hold(Axes,'off');
        
        axis(Axes,'tight');
        set(Axes,'fonts',fsz);
        
        set(Info(2), 'String', data.lib(ind(1)).name);
        set(Info(3), 'String', [num2str(size(data.lib(ind(1)).a,1),'%d'),' x ',num2str(size(data.lib(ind(1)).a,2),'%d')]);
        set(Info(4), 'String', [data.lib(ind(1)).date, ', ' data.lib(ind(1)).clock]);
        set(Info(5), 'String', data.lib(ind(1)).dataset);
        set(Info(6), 'String', [num2str(data.lib(ind(1)).x(1),'%8.2f'),'  -  ',num2str(data.lib(ind(1)).x(end),'%8.2f')]);
        if strcmp(data.lib(ind(1)).module,'AFS')
            set(Info(7), 'String', ['AFS computation (version ',num2str(data.lib(ind(1)).version,'%4.2f'),')']);
        elseif strcmp(data.lib(ind(1)).module,'CAA')
            set(Info(7), 'String', ['Complementarity & AFS (version ',num2str(data.lib(ind(1)).version,'%4.2f'),')']);
        elseif strcmp(data.lib(ind(1)).module,'PGA')
            set(Info(7), 'String', ['Peak group analysis (version ',num2str(data.lib(ind(1)).version,'%4.2f'),')']);
        elseif strcmp(data.lib(ind(1)).module,'extern')
            set(Info(7), 'String', 'extern');
        end
    else
        nr = 1;
        for i=1:length(data.lib)
            if (ind(1) == i && dat{i,1} == false) || (ind(1) ~= i && dat{i,1} == true)
                if strcmp(dat(i,6), 'normalized') == 1
                    plot(Axes, data.lib(i).x, data.lib(i).a/max(abs(data.lib(i).a)),'color',col(nr,:),'Linewidth',2);
                else
                    plot(Axes, data.lib(i).x, data.lib(i).a,'color',col(nr,:),'Linewidth',2);
                end
                hold(Axes,'on');
                nr = min(nr+1,7);
            end
        end
        hold(Axes,'off');
        axis(Axes,'tight');
        set(Axes,'fonts',fsz);
    end
    onoffButton(Button,[1 3 4],[]);
else
    onoffButton(Button,[],[1 3 4]);
end

set(emptybutton,'UserData',data);
